{
  config,
  lib,
  pkgs,
  inputs,
  ...
}: let
  home_dir = config.home.homeDirectory;
  #home_dir = "/home/blake";
in {
  imports = [
    ../dots/core
  ];

  dots = {
    lf.enable = true;
    nvf.enable = true;
    zsh.enable = true;
    ssh.enable = true;
    gpg.enable = true;
    git.enable = true;
    xdg.enable = true;
  };

  home.packages = with pkgs; [
  ];

  # import snowbelle specific ssh keys
  programs.ssh.matchBlocks = lib.mkForce {
    "git.blakedheld.xyz" = {
      user = "gitea";
      identityFile = "${home_dir}/.ssh/id_snowbelle";
      port = 7567;
    };
    "git.snowbelle.lan" = {
      user = "gitea";
      identityFile = "${home_dir}/.ssh/id_snowbelle";
      port = 7567;
    };
    "bebe" = {
      hostname = "10.10.0.1";
      user = "root";
      identityFile = "${home_dir}/.ssh/id_snowbelle";
    };
  };
 
  sops.secrets = {
    "id_snowbelle" = {
      mode = "0600";
      path = "${home_dir}/.ssh/id_snowbelle";
    };
    "id_snowbelle.pub" = {
      mode = "644";
      path = "${home_dir}/.ssh/id_snowbelle.pub";
    };
  };
}
